ARG BASE=alpine:edge

FROM $BASE

ARG PDNS_VERSION=4.3.1-r2
ENV PDNS_VERSION=$PDNS_VERSION

ENV DB_HOST="mysql" \
    DB_PORT="3306" \
    DB_USER="root" \
    DB_PASS="root" \
    DB_NAME="pdns" \
    BIND_CONFIG_DIR="/var/lib/pdns" \
    BIND_AUTOINIT="" \
    BACKEND="bind" \
    ROLE="slave"

RUN apk add --no-cache \
    pdns=$PDNS_VERSION \
    pdns-doc \
    pdns-backend-bind \
    pdns-backend-mysql \
    pdns-backend-pgsql \
    bind-tools

ADD root/ /

VOLUME /var/lib/pdns

EXPOSE 5300/tcp 5300/udp

ENTRYPOINT ["/entrypoint.sh"]
